## ros-humble-rmw 6.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rmw)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake_ros REQUIRED)

find_package(rcutils REQUIRED)
find_package(rosidl_runtime_c REQUIRED)

include(cmake/configure_rmw_library.cmake)

set(rmw_sources
  "src/allocators.c"
  "src/convert_rcutils_ret_to_rmw_ret.c"
  "src/event.c"
  "src/init.c"
  "src/init_options.c"
  "src/message_sequence.c"
  "src/names_and_types.c"
  "src/network_flow_endpoint_array.c"
  "src/network_flow_endpoint.c"
  "src/publisher_options.c"
  "src/qos_string_conversions.c"
  "src/sanity_checks.c"
  "src/security_options.c"
  "src/subscription_content_filter_options.c"
  "src/subscription_options.c"
  "src/time.c"
  "src/topic_endpoint_info_array.c"
  "src/topic_endpoint_info.c"
  "src/types.c"
  "src/validate_full_topic_name.c"
  "src/validate_namespace.c"
  "src/validate_node_name.c"
)
set_source_files_properties(${rmw_sources} PROPERTIES LANGUAGE "C")
add_library(${PROJECT_NAME} ${rmw_sources})
target_include_directories(${PROJECT_NAME} PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>")

if(BUILD_TESTING AND NOT RCUTILS_DISABLE_FAULT_INJECTION)
  target_compile_definitions(${PROJECT_NAME} PUBLIC RCUTILS_ENABLE_FAULT_INJECTION)
endif()

ament_target_dependencies(${PROJECT_NAME}
  "rcutils"
  "rosidl_runtime_c"
)
configure_rmw_library(${PROJECT_NAME} LANGUAGE "C")

ament_export_dependencies(
  rcutils
  rosidl_runtime_c
)

# Export old-style CMake variables
ament_export_include_directories("include/${PROJECT_NAME}")
ament_export_libraries(${PROJECT_NAME})

# Export modern CMake targets
ament_export_targets(${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
  # pass extra include dirs to cppcheck explicitly
  list(APPEND AMENT_LINT_AUTO_EXCLUDE ament_cmake_cppcheck)
  ament_cppcheck(INCLUDE_DIRS ${rcutils_INCLUDE_DIRS})

  add_subdirectory(test)
endif()

ament_export_development_version_if_higher_than_manifest("1.1.1-dev")
ament_package(CONFIG_EXTRAS "rmw-extras.cmake")

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)
install(
  DIRECTORY include/
  DESTINATION include/${PROJECT_NAME}
)
install(
  TARGETS ${PROJECT_NAME} EXPORT ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

=== test/CMakeLists.txt ===
find_package(ament_cmake_gmock REQUIRED)
find_package(osrf_testing_tools_cpp REQUIRED)


ament_add_gmock(test_allocators
  test_allocators.cpp
  # Append the directory of librmw so it is found at test time.
  APPEND_LIBRARY_DIRS "$<TARGET_FILE_DIR:${PROJECT_NAME}>"
)
if(TARGET test_allocators)
  target_link_libraries(test_allocators ${PROJECT_NAME})
endif()

ament_add_gmock(test_convert_rcutils_ret_to_rmw_ret
  test_convert_rcutils_ret_to_rmw_ret.cpp
  # Append the directory of librmw so it is found at test time.
  APPEND_LIBRARY_DIRS "$<TARGET_FILE_DIR:${PROJECT_NAME}>"
)
if(TARGET test_convert_rcutils_ret_to_rmw_ret)
  target_link_libraries(test_convert_rcutils_ret_to_rmw_ret ${PROJECT_NAME})
endif()

ament_add_gmock(test_event
  test_event.cpp
  # Append the directory of librmw so it is found at test time.
  APPEND_LIBRARY_DIRS "$<TARGET_FILE_DIR:${PROJECT_NAME}>"
)
if(TARGET test_event)
  target_link_libraries(test_event ${PROJECT_NAME})
endif()

ament_add_gmock(test_init_options
  test_init_options.cpp
  # Append the directory of librmw so it is found at test time.
  APPEND_LIBRARY_DIRS "$<TARGET_FILE_DIR:${PROJECT_NAME}>"
)
if(TARGET test_init_options)
  target_link_libraries(test_init_options ${PROJECT_NAME})
endif()

ament_add_gmock(test_init
  test_init.cpp
  # Append the directory of librmw so it is found at test time.
  APPEND_LIBRARY_DIRS "$<TARGET_FILE_DIR:${PROJECT_NAME}>"
)
if(TARGET test_init)
  target_link_libraries(test_init ${PROJECT_NAME})
endif()

ament_add_gmock(test_message_sequence
  test_message_sequence.cpp
  # Append the directory of librmw so it is found at test time.
  APPEND_LIBRARY_DIRS "$<TARGET_FILE_DIR:${PROJECT_NAME}>"
)
if(TARGET test_message_sequence)
  target_link_libraries(test_message_sequence ${PROJECT_NAME})
endif()

ament_add_gmock(test_names_and_types
  test_names_and_types.cpp
  # Append the directory of librmw so it is found at test time.
  APPEND_LIBRARY_DIRS "$<TARGET_FILE_DIR:${PROJECT_NAME}>"
)
if(TARGET test_names_and_types)
  target_link_libraries(test_names_and_types ${PROJECT_NAME}
                        osrf_testing_tools_cpp::memory_tools)
endif()

ament_add_gmock(test_publisher_options
  test_publisher_options.cpp
  # Append the directory of librmw so it is found at test time.
  APPEND_LIBRARY_DIRS "$<TARGET_FILE_DIR:${PROJECT_NAME}>"
)
if(TARGET test_publisher_options)
  target_link_libraries(test_publisher_options ${PROJECT_NAME})
endif()

ament_add_gtest(test_qos_string_conversions
test_qos_string_conversions.cpp
  # Append the directory of librmw so it is found at test time.
  APPEND_LIBRARY_DIRS "$<TARGET_FILE_DIR:${PROJECT_NAME}>"
)
if(TARGET test_qos_string_conversions)
  target_link_libraries(test_qos_string_conversions ${PROJECT_NAME})
endif()

ament_add_gmock(test_sanity_checks
  test_sanity_checks.cpp
  # Append the directory of librmw so it is found at test time.
  APPEND_LIBRARY_DIRS "$<TARGET_FILE_DIR:${PROJECT_NAME}>"
)
if(TARGET test_sanity_checks)
  target_link_libraries(test_sanity_checks ${PROJECT_NAME})
endif()

ament_add_gmock(test_security_options
  test_security_options.cpp
  # Append the directory of librmw so it is found at test time.
  APPEND_LIBRARY_DIRS "$<TARGET_FILE_DIR:${PROJECT_NAME}>"
)
if(TARGET test_security_options)
  target_link_libraries(test_security_options ${PROJECT_NAME})
endif()

ament_add_gmock(test_serialized_message
  test_serialized_message.cpp
  # Append the directory of librmw so it is found at test time.
  APPEND_LIBRARY_DIRS "$<TARGET_FILE_DIR:${PROJECT_NAME}>"
)
if(TARGET test_serialized_message)
  target_link_libraries(test_serialized_message ${PROJECT_NAME})
  target_link_libraries(test_serialized_message osrf_testing_tools_cpp::memory_tools)
endif()

ament_add_gmock(test_subscription_options
  test_subscription_options.cpp
  # Append the directory of librmw so it is found at test time.
  APPEND_LIBRARY_DIRS "$<TARGET_FILE_DIR:${PROJECT_NAME}>"
)
if(TARGET test_subscription_options)
  target_link_libraries(test_subscription_options ${PROJECT_NAME})
endif()

ament_add_gmock(test_time
  test_time.cpp
  # Append the directory of librmw so it is found at test time.
  APPEND_LIBRARY_DIRS "$<TARGET_FILE_DIR:${PROJECT_NAME}>"
)
if(TARGET test_time)
  target_link_libraries(test_time ${PROJECT_NAME})
endif()

ament_add_gmock(test_types
  test_types.cpp
  # Append the directory of librmw so it is found at test time.
  APPEND_LIBRARY_DIRS "$<TARGET_FILE_DIR:${PROJECT_NAME}>"
)
if(TARGET test_types)
  target_link_libraries(test_types ${PROJECT_NAME})
endif()

ament_add_gmock(test_validate_full_topic_name
  test_validate_full_topic_name.cpp
  # Append the directory of librmw so it is found at test time.
  APPEND_LIBRARY_DIRS "$<TARGET_FILE_DIR:${PROJECT_NAME}>"
)
if(TARGET test_validate_full_topic_name)
  target_link_libraries(test_validate_full_topic_name ${PROJECT_NAME})
endif()

ament_add_gmock(test_validate_node_name
  test_validate_node_name.cpp
  # Append the directory of librmw so it is found at test time.
  APPEND_LIBRARY_DIRS "$<TARGET_FILE_DIR:${PROJECT_NAME}>"
)
if(TARGET test_validate_node_name)
  target_link_libraries(test_validate_node_name ${PROJECT_NAME})
endif()

ament_add_gmock(test_validate_namespace
  test_validate_namespace.cpp
  # Append the directory of librmw so it is found at test time.
  APPEND_LIBRARY_DIRS "$<TARGET_FILE_DIR:${PROJECT_NAME}>"
)
if(TARGET test_validate_namespace)
  target_link_libraries(test_validate_namespace ${PROJECT_NAME})
  if(UNIX AND NOT APPLE AND NOT ANDROID)
    target_link_libraries(test_validate_namespace pthread)
  endif()
  if(NOT WIN32)
    set_target_properties(test_validate_namespace PROPERTIES COMPILE_FLAGS "-std=c++14")
  endif()
endif()

ament_add_gmock(test_topic_endpoint_info_array
  test_topic_endpoint_info_array.cpp
  # Append the directory of librmw so it is found at test time.
  APPEND_LIBRARY_DIRS "$<TARGET_FILE_DIR:${PROJECT_NAME}>"
)
if(TARGET test_topic_endpoint_info_array)
  target_link_libraries(test_topic_endpoint_info_array ${PROJECT_NAME}
  osrf_testing_tools_cpp::memory_tools)
endif()

ament_add_gmock(test_topic_endpoint_info
  test_topic_endpoint_info.cpp
  # Append the directory of librmw so it is found at test time.
  APPEND_LIBRARY_DIRS "$<TARGET_FILE_DIR:${PROJECT_NAME}>"
)
if(TARGET test_topic_endpoint_info)
  target_link_libraries(test_topic_endpoint_info ${PROJECT_NAME}
  osrf_testing_tools_cpp::memory_tools)
endif()

ament_add_gmock(test_network_flow_endpoint
  test_network_flow_endpoint.cpp
  # Append the directory of librmw so it is found at test time.
  APPEND_LIBRARY_DIRS "$<TARGET_FILE_DIR:${PROJECT_NAME}>"
)
if(TARGET test_network_flow_endpoint)
  target_link_libraries(test_network_flow_endpoint ${PROJECT_NAME}
  osrf_testing_tools_cpp::memory_tools)
endif()

ament_add_gmock(test_network_flow_endpoint_array
  test_network_flow_endpoint_array.cpp
  # Append the directory of librmw so it is found at test time.
  APPEND_LIBRARY_DIRS "$<TARGET_FILE_DIR:${PROJECT_NAME}>"
)
if(TARGET test_network_flow_endpoint_array)
  target_link_libraries(test_network_flow_endpoint_array ${PROJECT_NAME}
  osrf_testing_tools_cpp::memory_tools)
endif()

ament_add_gmock(test_subscription_content_filter_options
  test_subscription_content_filter_options.cpp
  # Append the directory of librmw so it is found at test time.
  APPEND_LIBRARY_DIRS "$<TARGET_FILE_DIR:${PROJECT_NAME}>"
)
if(TARGET test_subscription_content_filter_options)
  target_link_libraries(test_subscription_content_filter_options ${PROJECT_NAME})
endif()

=== debian/changelog ===
ros-humble-rmw (6.1.1-1jammy) jammy; urgency=high

  * callback can be NULL to clear in Listener APIs. (#332 <https://github.com/ros2/rmw/issues/332>) (#333 <https://github.com/ros2/rmw/issues/333>)
  * Contributors: mergify[bot]

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 07 Nov 2022 06:00:00 -0000

ros-humble-rmw (6.1.0-1jammy) jammy; urgency=high

  * Add content filtered topics support. (#302 <https://github.com/ros2/rmw/issues/302>)
  * Add sequence numbers to rmw_message_info_t. (#318 <https://github.com/ros2/rmw/issues/318>)
  * Add rmw_feature_supported(). (#318 <https://github.com/ros2/rmw/issues/318>)
  * Contributors: Chen Lihui, Ivan Santiago Paunovic

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 25 Mar 2022 05:00:00 -0000

ros-humble-rmw (6.0.0-1jammy) jammy; urgency=high

  * Add EventsExecutor (#286 <https://github.com/ros2/rmw/issues/286>)
  * Document that rmw_wait() SHOULD use a monotonic clock (#316 <https://github.com/ros2/rmw/issues/316>)
  * Install headers to include/${PROJECT_NAME} (#317 <https://github.com/ros2/rmw/issues/317>)
  * Update rmw_server_is_available() API documentation. (#277 <https://github.com/ros2/rmw/issues/277>)
  * Contributors: Ivan Santiago Paunovic, Michel Hidalgo, Shane Loretz, iRobot ROS

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 01 Mar 2022 06:00:00 -0000

ros-humble-rmw (5.1.0-1jammy) jammy; urgency=high

  * Add client/service QoS getters. (#314 <https://github.com/ros2/rmw/issues/314>)
  * Contributors: mauropasse

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 19 Nov 2021 06:00:00 -0000

ros-humble-rmw (5.0.0-1jammy) jammy; urgency=high

  * Fix up documentation build for rmw when using rosdoc2 (#313 <https://github.com/ros2/rmw/issues/313>)
  * Fix up errors in doxygen documentation (#311 <https://github.com/ros2/rmw/issues/311>)
  * Fix copy-paste error in API doc for rmw_get_gid_for_publisher (#310 <https://github.com/ros2/rmw/issues/310>)
  * Contributors: Chris Lalancette, Christophe Bedard, Michel Hidalgo

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 15 Sep 2021 05:00:00 -0000

ros-humble-rmw (4.0.0-1jammy) jammy; urgency=high

  * Add rmw_publisher_wait_for_all_acked support. (#296 <https://github.com/ros2/rmw/issues/296>)
  * Contributors: Barry Xu

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 02 Jun 2021 05:00:00 -0000

ros-humble-rmw (3.3.1-1jammy) jammy; urgency=high

  * Document which QoS policies are correctly read by rmw_get_publishers/subscriptions_info_by_topic (#308 <https://github.com/ros2/rmw/issues/308>)
  * Contributors: Ivan Santiago Paunovic

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 26 Apr 2021 05:00:00 -0000

ros-humble-rmw (3.3.0-1jammy) jammy; urgency=high

  * Unique network flows (#294 <https://github.com/ros2/rmw/issues/294>)
  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#307 <https://github.com/ros2/rmw/issues/307>)
  * Contributors: Ananya Muddukrishna, shonigmann

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 06 Apr 2021 05:00:00 -0000

ros-humble-rmw (3.2.0-1jammy) jammy; urgency=high

  * Introduce RMW_DURATION_INFINITE constant and API return value promise (#301 <https://github.com/ros2/rmw/issues/301>)
  * Contributors: Emerson Knapp

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 11 Mar 2021 06:00:00 -0000

ros-humble-rmw (3.1.0-1jammy) jammy; urgency=high

  * Add declaration for function to check QoS profile compatibility (#299 <https://github.com/ros2/rmw/issues/299>)
  * Update the rmw_take_sequence documentation. (#297 <https://github.com/ros2/rmw/issues/297>)
  * Contributors: Chris Lalancette, Jacob Perron

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 25 Feb 2021 06:00:00 -0000

ros-humble-rmw (3.0.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 25 Jan 2021 06:00:00 -0000

ros-humble-rmw (2.2.1-1jammy) jammy; urgency=high

  * Update rmw QD to QL 1 (#289 <https://github.com/ros2/rmw/issues/289>)
  * Contributors: Stephen Brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 10 Dec 2020 06:00:00 -0000

ros-humble-rmw (2.2.0-1jammy) jammy; urgency=high

  * Extend rmw_qos_policy_kind_t, add functions to convert it to/from a string (#285 <https://github.com/ros2/rmw/issues/285>)
  * Add functions to convert between qos policy values and strings (#284 <https://github.com/ros2/rmw/issues/284>)
  * Update maintainers (#282 <https://github.com/ros2/rmw/issues/282>)
  * Update service request/response API documentation (#279 <https://github.com/ros2/rmw/issues/279>)
  * Update rmw_get_serialized_message_size docblock (#281 <https://github.com/ros2/rmw/issues/281>)
  * Update rmw_service_server_is_available doc (#280 <https://github.com/ros2/rmw/issues/280>)
  * Update wait and wait sets' API documentation (#275 <https://github.com/ros2/rmw/issues/275>)
  * Update graph API documentation (#272 <https://github.com/ros2/rmw/issues/272>)
  * Update service server/client creation/destruction API documentation. (#276 <https://github.com/ros2/rmw/issues/276>)
  * Update rmw_*_*_allocation return values (#278 <https://github.com/ros2/rmw/issues/278>)
  * Update gid API documentation (#274 <https://github.com/ros2/rmw/issues/274>)
  * Do not link against pthread on Android (#267 <https://github.com/ros2/rmw/issues/267>)
  * Update taking API documentation (#271 <https://github.com/ros2/rmw/issues/271>)
  * Update publishing API documentation (#270 <https://github.com/ros2/rmw/issues/270>)
  * Add fault injection macros for use in other packages (#254 <https://github.com/ros2/rmw/issues/254>)
  * Add bad_alloc return to topic_endpoint_info functions (#269 <https://github.com/ros2/rmw/issues/269>)
  * Update publisher/subscription matched count API documentation (#262 <https://github.com/ros2/rmw/issues/262>)
  * Update publisher/subscription QoS query API documentation (#263 <https://github.com/ros2/rmw/issues/263>)


=== debian/control ===
Source: ros-humble-rmw
Section: misc
Priority: optional
Maintainer: Ivan Paunovic <ivanpauno@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-ament-cmake-ros, ros-humble-ament-cmake-version, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-osrf-testing-tools-cpp <!nocheck>, ros-humble-rcutils, ros-humble-rosidl-runtime-c, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rmw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-rcutils, ros-humble-rosidl-runtime-c, ros-humble-ros-workspace
Description: Contains the ROS middleware API.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rmw//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-rmw 6.1.2

=== debian/changelog ===
ros-humble-rmw (6.1.2-1bookworm) bookworm; urgency=high

  * rmw_send_reqponse returns RMW_RET_TIMEOUT. (#350 <https://github.com/ros2/rmw/issues/350>) (#367 <https://github.com/ros2/rmw/issues/367>)
  * Contributors: mergify[bot]

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 14 May 2024 16:00:00 -0000

ros-humble-rmw (6.1.1-1bookworm) bookworm; urgency=high

  * callback can be NULL to clear in Listener APIs. (#332 <https://github.com/ros2/rmw/issues/332>) (#333 <https://github.com/ros2/rmw/issues/333>)
  * Contributors: mergify[bot]

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-rmw (6.1.0-1bookworm) bookworm; urgency=high

  * Add content filtered topics support. (#302 <https://github.com/ros2/rmw/issues/302>)
  * Add sequence numbers to rmw_message_info_t. (#318 <https://github.com/ros2/rmw/issues/318>)
  * Add rmw_feature_supported(). (#318 <https://github.com/ros2/rmw/issues/318>)
  * Contributors: Chen Lihui, Ivan Santiago Paunovic

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 24 Mar 2022 16:00:00 -0000

ros-humble-rmw (6.0.0-1bookworm) bookworm; urgency=high

  * Add EventsExecutor (#286 <https://github.com/ros2/rmw/issues/286>)
  * Document that rmw_wait() SHOULD use a monotonic clock (#316 <https://github.com/ros2/rmw/issues/316>)
  * Install headers to include/${PROJECT_NAME} (#317 <https://github.com/ros2/rmw/issues/317>)
  * Update rmw_server_is_available() API documentation. (#277 <https://github.com/ros2/rmw/issues/277>)
  * Contributors: Ivan Santiago Paunovic, Michel Hidalgo, Shane Loretz, iRobot ROS

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-rmw (5.1.0-1bookworm) bookworm; urgency=high

  * Add client/service QoS getters. (#314 <https://github.com/ros2/rmw/issues/314>)
  * Contributors: mauropasse

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 18 Nov 2021 16:00:00 -0000

ros-humble-rmw (5.0.0-1bookworm) bookworm; urgency=high

  * Fix up documentation build for rmw when using rosdoc2 (#313 <https://github.com/ros2/rmw/issues/313>)
  * Fix up errors in doxygen documentation (#311 <https://github.com/ros2/rmw/issues/311>)
  * Fix copy-paste error in API doc for rmw_get_gid_for_publisher (#310 <https://github.com/ros2/rmw/issues/310>)
  * Contributors: Chris Lalancette, Christophe Bedard, Michel Hidalgo

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 14 Sep 2021 16:00:00 -0000

ros-humble-rmw (4.0.0-1bookworm) bookworm; urgency=high

  * Add rmw_publisher_wait_for_all_acked support. (#296 <https://github.com/ros2/rmw/issues/296>)
  * Contributors: Barry Xu

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 01 Jun 2021 16:00:00 -0000

ros-humble-rmw (3.3.1-1bookworm) bookworm; urgency=high

  * Document which QoS policies are correctly read by rmw_get_publishers/subscriptions_info_by_topic (#308 <https://github.com/ros2/rmw/issues/308>)
  * Contributors: Ivan Santiago Paunovic

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 25 Apr 2021 16:00:00 -0000

ros-humble-rmw (3.3.0-1bookworm) bookworm; urgency=high

  * Unique network flows (#294 <https://github.com/ros2/rmw/issues/294>)
  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#307 <https://github.com/ros2/rmw/issues/307>)
  * Contributors: Ananya Muddukrishna, shonigmann

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 05 Apr 2021 16:00:00 -0000

ros-humble-rmw (3.2.0-1bookworm) bookworm; urgency=high

  * Introduce RMW_DURATION_INFINITE constant and API return value promise (#301 <https://github.com/ros2/rmw/issues/301>)
  * Contributors: Emerson Knapp

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 10 Mar 2021 16:00:00 -0000

ros-humble-rmw (3.1.0-1bookworm) bookworm; urgency=high

  * Add declaration for function to check QoS profile compatibility (#299 <https://github.com/ros2/rmw/issues/299>)
  * Update the rmw_take_sequence documentation. (#297 <https://github.com/ros2/rmw/issues/297>)
  * Contributors: Chris Lalancette, Jacob Perron

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 24 Feb 2021 16:00:00 -0000

ros-humble-rmw (3.0.0-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 24 Jan 2021 16:00:00 -0000

ros-humble-rmw (2.2.1-1bookworm) bookworm; urgency=high

  * Update rmw QD to QL 1 (#289 <https://github.com/ros2/rmw/issues/289>)
  * Contributors: Stephen Brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 09 Dec 2020 16:00:00 -0000

ros-humble-rmw (2.2.0-1bookworm) bookworm; urgency=high

  * Extend rmw_qos_policy_kind_t, add functions to convert it to/from a string (#285 <https://github.com/ros2/rmw/issues/285>)
  * Add functions to convert between qos policy values and strings (#284 <https://github.com/ros2/rmw/issues/284>)
  * Update maintainers (#282 <https://github.com/ros2/rmw/issues/282>)
  * Update service request/response API documentation (#279 <https://github.com/ros2/rmw/issues/279>)
  * Update rmw_get_serialized_message_size docblock (#281 <https://github.com/ros2/rmw/issues/281>)
  * Update rmw_service_server_is_available doc (#280 <https://github.com/ros2/rmw/issues/280>)
  * Update wait and wait sets' API documentation (#275 <https://github.com/ros2/rmw/issues/275>)
  * Update graph API documentation (#272 <https://github.com/ros2/rmw/issues/272>)
  * Update service server/client creation/destruction API documentation. (#276 <https://github.com/ros2/rmw/issues/276>)
  * Update rmw_*_*_allocation return values (#278 <https://github.com/ros2/rmw/issues/278>)
  * Update gid API documentation (#274 <https://github.com/ros2/rmw/issues/274>)
  * Do not link against pthread on Android (#267 <https://github.com/ros2/rmw/issues/267>)
  * Update taking API documentation (#271 <https://github.com/ros2/rmw/issues/271>)
  * Update publishing API documentation (#270 <https://github.com/ros2/rmw/issues/270>)


=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rmw//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rmw//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-rmw//opt/ros/humble/opt/rmw/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
